Page MenuHomePhabricator

Ingenico donation form: email address autosuggestion is confusing donors
Closed, ResolvedPublic1 Story Points

Description

We finally have a screenshot for an error we've heard about a handful of times in recent weeks: donors are confused because the form suggests alternate email addresses when they enter their legitimate email address. Can we disable this? Is this possibly related to the MIT-licensed JS lib mentioned by @Ejegg in T135042: Civi: is it possible to correct obvious email address typos before deduping exact matches??

The donor in Zendesk 232634 became really concerned about the security of the donation process (and claims to have received a suspicious email from the suggested email address).

Event Timeline

MBeat33 created this task.Jun 29 2016, 4:17 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 29 2016, 4:17 PM

So far I've been able to replicate this when attempting to enter email addresses ending in .hu Test email addresses ending in .il do not get this message. Maybe it is unique to the .hu domain?

@Ejegg looks like this is in relation to this task: T135567

DStrine assigned this task to Ejegg.Jun 29 2016, 4:51 PM
DStrine triaged this task as High priority.

We'll need to revert T135567 at the next opportunity.

Ejegg set the point value for this task to 1.Jul 5 2016, 8:21 PM

Aha, the library's default list of likely domains is not as international as our donors. (see https://github.com/mailcheck/mailcheck/blob/master/src/mailcheck.js) I'll turn off top-level domain checking for now, and later we can look into making the list of combined top+second level domains match our db.

Change 297517 had a related patch set uploaded (by Ejegg):
Stop checking email tlds

https://gerrit.wikimedia.org/r/297517

Change 297517 merged by jenkins-bot:
Stop checking email tlds

https://gerrit.wikimedia.org/r/297517

Ejegg closed this task as Resolved.Jul 20 2016, 10:17 PM